#ifndef _HEAP_H
#define _HEAP_H

/* 
 * This header specifies the interface for the use of heaps. 
 */

#include "ARP2GTSP.h"

void MakeHeap(int Size);
void HeapInsert(Vertex * N);
void HeapDelete(Vertex * N);
Vertex *HeapDeleteMin(void);
void HeapLazyInsert(Vertex * N);
void Heapify(void);
void HeapSiftUp(Vertex * N);
void HeapSiftDown(Vertex * N);

Vertex **Heap;

#endif